package com.seatel.mobilehall.ui.home.model;

import com.seatel.mobilehall.util.manager.PlanSubscriptionRequestModel;
import com.google.gson.annotations.SerializedName;

public class CartModel {
    @SerializedName("_id")
    private String id;
    @SerializedName("type")
    private String type;
    @SerializedName("planCode")
    private String planCode;
    @SerializedName("quantity")
    private int quantity;
    @SerializedName("quota")
    private int quota;
    @SerializedName("topUpAmount")
    private double topUpAmount;
    @SerializedName("discountedCardPrice")
    private double discountedCardPrice;
    @SerializedName("cardPrice")
    private double cardPrice = 0.5;
    @SerializedName("simCardNumber")
    private String simCardNumber;
    @SerializedName("unitPrice")
    private double unitPrice;
    @SerializedName("totalPrice")
    private double totalPrice;
    @SerializedName("planName")
    private String planName;
    @SerializedName("deviceUrl")
    private String deviceUrl;
    @SerializedName("color")
    private String color;
    @SerializedName("colorId")
    private String colorId;
    @SerializedName("storage")
    private int storage;
    @SerializedName("brand")
    private String brand;
    @SerializedName("model")
    private String model;
    @SerializedName("thumbnailUrl")
    private String thumbnailUrl;
    @SerializedName("scratchCardAmount")
    private double scratchCardAmount;
    @SerializedName("scratchCardIcon")
    private String scratchCardIcon;
    @SerializedName("planIcon")
    private String planIcon;
    private boolean isSelected;
    private boolean isSimDiscount;
    private double totalPriceAfterDiscountSim;
    private PlanSubscriptionRequestModel<PlanSubscriptionRequestModel.AddOns> planSubscription;

    public PlanSubscriptionRequestModel<PlanSubscriptionRequestModel.AddOns> getPlanSubscription() {
        return planSubscription;
    }

    public void setPlanSubscription(PlanSubscriptionRequestModel<PlanSubscriptionRequestModel.AddOns> planSubscription) {
        this.planSubscription = planSubscription;
    }

    public String getScratchCardIcon() {
        return scratchCardIcon;
    }

    public void setScratchCardIcon(String scratchCardIcon) {
        this.scratchCardIcon = scratchCardIcon;
    }

    public String getPlanIcon() {
        return planIcon;
    }

    public void setPlanIcon(String planIcon) {
        this.planIcon = planIcon;
    }

    public void setColorId(String colorId) {
        this.colorId = colorId;
    }

    public String getColorId() {
        return colorId;
    }

    public boolean isSelected() {
        return isSelected;
    }

    public void setSelected(boolean selected) {
        isSelected = selected;
    }

    public double getScratchCardAmount() {
        return scratchCardAmount;
    }

    public void setScratchCardAmount(double scratchCardAmount) {
        this.scratchCardAmount = scratchCardAmount;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getPlanCode() {
        return planCode;
    }

    public void setPlanCode(String planCode) {
        this.planCode = planCode;
    }

    public int getQuantity() {
        return quantity;
    }

    public void setQuantity(int quantity) {
        this.quantity = quantity;
    }

    public int getQuota() {
        return quota;
    }

    public void setQuota(int quota) {
        this.quota = quota;
    }

    public double getCardPrice() {
        return cardPrice;
    }

    public void setCardPrice(double cardPrice) {
        this.cardPrice = cardPrice;
    }

    public double getTopUpAmount() {
        return topUpAmount;
    }

    public void setTopUpAmount(double topUpAmount) {
        this.topUpAmount = topUpAmount;
    }

    public double getDiscountedCardPrice() {
        return discountedCardPrice;
    }

    public void setDiscountedCardPrice(double discountedCardPrice) {
        this.discountedCardPrice = discountedCardPrice;
    }

    public boolean isSimDiscount() {
        return isSimDiscount;
    }

    public void setSimDiscount(boolean simDiscount) {
        isSimDiscount = simDiscount;
    }

    public String getSimCardNumber() {
        return simCardNumber;
    }

    public void setSimCardNumber(String simCardNumber) {
        this.simCardNumber = simCardNumber;
    }

    public double getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(double unitPrice) {
        this.unitPrice = unitPrice;
    }

    public double getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(double totalPrice) {
        this.totalPrice = totalPrice;
    }

    public double getTotalPriceAfterDiscountSim() {
        return totalPriceAfterDiscountSim;
    }

    public void setTotalPriceAfterDiscountSim(double totalPriceAfterDiscountSim) {
        this.totalPriceAfterDiscountSim = totalPriceAfterDiscountSim;
    }

    public String getPlanName() {
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }

    public String getDeviceUrl() {
        return deviceUrl;
    }

    public void setDeviceUrl(String deviceUrl) {
        this.deviceUrl = deviceUrl;
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public int getStorage() {
        return storage;
    }

    public void setStorage(int storage) {
        this.storage = storage;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getThumbnailUrl() {
        return thumbnailUrl;
    }

    public void setThumbnailUrl(String thumbnailUrl) {
        this.thumbnailUrl = thumbnailUrl;
    }
}
